Knowledge Base
Knowledge Base / XFilesharing Pro / Troubleshooting

Advanced Search

Error after installing or upgrading Payment gateways mod
03/20/2017 11:00 AM
Printable Version | Email Article | Receive Email Updates

Question

After installing or upgrading Payment gateways mod I'm getting one of the following errors:

Can't locate Digest/HMAC_MD5.pm in @INC
Can't locate XML/SAX/PurePerl.pm in @INC
Can't locate XML/Simple.pm in @INC
e.t.c.

Answer

1. Go in cgi-bin/Plugins/Payments/ directory and delete all payment plugins that you're not planning to use
2. If you're still getting that error, install all Perl dependencies specified in INSTALL.txt which is bundled with the Payment Gateways Mod distribution.